#
# qmake project for QLineControl
#

TEMPLATE = app
TARGET = qlinecontrol

CONFIG += qt release
DEFINES += QT3_SUPPORT_WARNINGS
QT += network

DESTDIR = ./
MOC_DIR = tmp
UI_DIR = tmp
RCC_DIR = tmp
OBJECTS_DIR = tmp

INCLUDEPATH += src
INCLUDEPATH += tmp

RESOURCES = pixmaps/qlinecontrol.qrc

TR_PATH = tr
include($$TR_PATH/tr.pri)

LCPIO_PATH = src/lcpio
include($$LCPIO_PATH/lcpio.pri)

TRAYICON_CPP = src/trayicon
INCLUDEPATH += $$TRAYICON_CPP
include($$TRAYICON_CPP/trayicon.pri)

WIDGETS_PATH = src/widgets
INCLUDEPATH += $$WIDGETS_PATH
include($$WIDGETS_PATH/widgets.pri)

unix:!mac {
   UNIX_PATH = unix
	include($$UNIX_PATH/unix.pri)
}
win32: {
   WIN32_PATH = win32
	include($$WIN32_PATH/win32.pri)
}
#mac: {
#  MAC_PATH = mac
#	include($$MAC_PATH/mac.pri)
#}


SOURCES += src/main.cpp src/lcapplication.cpp
HEADERS += src/lcapplication.h

SOURCES += src/lcmainwindow.cpp
HEADERS += src/lcmainwindow.h

FORMS   += src/lcmwidget.ui
SOURCES += src/lcmainwidget.cpp
HEADERS += src/lcmainwidget.h

SOURCES += src/lcminidisplay.cpp
HEADERS += src/lcminidisplay.h

SOURCES += src/lcsettings.cpp
HEADERS += src/lcsettings.h

FORMS   += src/lcsrvsettings.ui src/lcclisettings.ui
SOURCES += src/lcsettingsdlg.cpp
HEADERS += src/lcsettingsdlg.h

