/***************************************************************************
                           client application class
                             -------------------
    begin                : Tue Dec 06 21:54 CET 2005
    copyright            : (C) 2005 by Stefan Gehn
    email                : metz \AT\ gehn \DOT\ net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LCAPPLICATION_H
#define LCAPPLICATION_H

#include <qapplication.h>

#ifdef Q_WS_MAC
#include <Carbon/Carbon.h>
#endif

class LCApplication : public QApplication
{
Q_OBJECT
public:
	LCApplication(int argc, char **argv);

#ifdef Q_WS_X11
	bool x11EventFilter(XEvent *event);
#endif
#ifdef Q_WS_MAC
	bool macEventFilter(EventHandlerCallRef, EventRef);
#endif

signals:
	void dockActivated(); // Used on OSX
	void newTrayOwner(); // Used on X11
	void trayOwnerDied(); // Used on X11

};
#endif // LCAPPLICATION_H
