/***************************************************************************
                            main window contents
                             -------------------
    begin                : Thu Dec 01 22:13 CET 2005
    copyright            : (C) 2005 by Stefan Gehn
    email                : metz \AT\ gehn \DOT\ net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LCMAINWIDGET_H
#define LCMAINWIDGET_H

#include "lcpio/lcp3.h"
#include <qwidget.h>

class LcpLine;
namespace Ui
{
	class LCMWidget;
}

class LCMainWidget : public QWidget
{
Q_OBJECT
public:
	LCMainWidget(QWidget *parent);
	
public slots:
	void updateLineInfo(t_lcp3_info_tput, double clientCost, double lineCost);
	void updateSelectedLine(LcpLine *);
	void updateClientStatus(int status);
	void updateLineStatus(int status);

private:
   void resetView();
   
private:
	Ui::LCMWidget *mWidget;
};

#endif // LCMAINWIDGET_H

