/***************************************************************************
                                    main
                             -------------------
    begin                : Thu Dec 01 14:54 CET 2005
    copyright            : (C) 2005 by Stefan Gehn
    email                : metz \AT\ gehn \DOT\ net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "lcapplication.h"
#include "lcmainwindow.h"

#include <qtranslator.h>
#include <qlocale.h>

int main(int argc, char **argv)
{
	LCApplication appl(argc, argv);
	appl.setApplicationName("QLineControl");
	appl.setOrganizationName("qlinecontrol");
	appl.setQuitOnLastWindowClosed(false);

	QTranslator translator(0);
	QString transFile("qlinecontrol_");
	transFile += QLocale::system().name().toLower();

	QStringList dirs;
	// search some common paths for translations
	dirs += appl.applicationDirPath();
	dirs += appl.applicationDirPath() + "/../share/qlinecontrol/";
	dirs += "/usr/share/qlinecontrol/";
	dirs += "/usr/local/share/qlinecontrol/";

	foreach(QString dir, dirs)
	{
		if (translator.load(transFile, dir))
		{
			appl.installTranslator(&translator);
			break;
		}
	}
	LCMainWindow mainWin;
	return appl.exec();
}
