/***************************************************************************
                               settings dialog
                             -------------------
    begin                : Sat Dec 03 14:48 CET 2005
    copyright            : (C) 2005 by Stefan Gehn
    email                : metz \AT\ gehn \DOT\ net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LCSETTINGSDLG_H
#define LCSETTINGSDLG_H

#include "qsdialog.h"

class QTreeListWidget;
namespace Ui
{
	class SrvSettings;
	class CliSettings;
};

class LCSettingsDlg : public QSDialog
{
Q_OBJECT

public:
	LCSettingsDlg(QWidget *parent);
	~LCSettingsDlg();

public slots:
   int exec();

private slots:
	void slotOkClicked();
   void slotLoadSettings();
   void slotSaveSettings();

private:
	QTreeListWidget *mWidget;
	Ui::SrvSettings *mSrv;
	Ui::CliSettings *mCli;
};

#endif // LCSETTINGSDLG_H
