
isEmpty(PREFIX) {
     PREFIX = ./dist
}

BINARY_DIR = $${PREFIX}/bin
TRANSLATIONS_DIR = $${PREFIX}/share/qlinecontrol
ICONS_DIR = $${PREFIX}/share/icons/hicolor
DESKTOP_DIR = $${PREFIX}/share/applications
DOCS_DIR = $${PREFIX}/share/doc/qlinecontrol


# =======================================================================
target.path = $${BINARY_DIR}
INSTALLS += target


# =======================================================================
translations.path = $${TRANSLATIONS_DIR}
translations.files = $${UNIX_PATH}/../tr/*.qm
INSTALLS += translations


# =======================================================================
icon16.path = $${ICONS_DIR}/16x16/apps
icon16.files = $${UNIX_PATH}/../pixmaps/16x16/qlinecontrol.png
INSTALLS += icon16

icon32.path = $${ICONS_DIR}/32x32/apps
icon32.files = $${UNIX_PATH}/../pixmaps/32x32/qlinecontrol.png
INSTALLS += icon32


# =======================================================================
desktopfile.path = $${DESKTOP_DIR}
desktopfile.files = $${UNIX_PATH}/qlinecontrol.desktop
INSTALLS += desktopfile

# =======================================================================
documents.path = $${DOCS_DIR}
documents.files = $${UNIX_PATH}/../COPYING.txt
INSTALLS += documents
